#----------------------------------------------------------------
#
# Messages content for module cms_pdf
# French Messages
#
#----------------------------------------------------------------

DELETE FROM messages WHERE module_mes = 'cms_pdf' and language_mes = 'fr';

INSERT INTO `messages` (`id_mes`, `module_mes`, `language_mes`, `message_mes`) VALUES(1, 'cms_pdf', 'fr', 'Exports PDF');
INSERT INTO `messages` (`id_mes`, `module_mes`, `language_mes`, `message_mes`) VALUES(2, 'cms_pdf', 'fr', 'Page');
INSERT INTO `messages` (`id_mes`, `module_mes`, `language_mes`, `message_mes`) VALUES(3, 'cms_pdf', 'fr', 'Table Des Matières');
INSERT INTO `messages` (`id_mes`, `module_mes`, `language_mes`, `message_mes`) VALUES(4, 'cms_pdf', 'fr', 'Créé le %s');
INSERT INTO `messages` (`id_mes`, `module_mes`, `language_mes`, `message_mes`) VALUES(5, 'cms_pdf', 'fr', '<div class="rowComment">\r\n<h1>Exporter un PDF d''une ou plusieurs pages :</h1>\r\n<span class="code"> &lt;atm-pdf-link&gt; ... <span class="keyword">{{href}}</span> ... &lt;/atm-pdf-link&gt;&nbsp;</span>\r\n<ul>\r\n    <li><span class="keyword">{{href}} </span>: Cette valeur sera remplac&eacute;e par l''adresse du document PDF produit. Elle est usuellement plac&eacute;e dans l''attribut href d''un lien.</li>\r\n</ul>\r\n<p>Ce tag supporte les attributs suivants, tous optionnels :</p>\r\n<ul>\r\n    <li><span class="keyword">title </span>: Cha&icirc;ne de caract&egrave;res. Permet de sp&eacute;cifier le titre du PDF. Si cet attribut n''existe pas, le titre de la page export&eacute;e sera employ&eacute;.</li>\r\n    <li><span class="keyword">subtitle </span>: Cha&icirc;ne de caract&egrave;res. Permet de sp&eacute;cifier le sous titre du PDF. Si cet  attribut n''existe pas, l''adresse de la page en cours sera employ&eacute;.</li>\r\n    <li><span class="keyword">page </span>: Nombre entier. Permet de sp&eacute;cifier la page &agrave; exporter en PDF. Si cet  attribut n''existe pas, la page en cours sera export&eacute;e. Cet attribut n''est pas pris en compte si l''attribut <span class="keyword">pages</span> existe.</li>\r\n    <li><span class="keyword">subpages </span>: Bool&eacute;en. Permet d''exporter aussi les sous pages de la page export&eacute;e.</li>\r\n    <li><span class="keyword">pages </span>: Liste d''identifiants de pages s&eacute;par&eacute;s par des virgules. Permet de sp&eacute;cifier les pages &agrave; exporter en PDF. Cet attribut n''est pas pris en compte si l''attribut <span class="keyword">subpages </span>existe.</li>\r\n    <li><span class="keyword">exclude </span>: Liste d''identifiants de pages s&eacute;par&eacute;s par des virgules. Permet d''exclure une ou plusieurs pages de l''export.</li>\r\n    <li><span class="keyword">crosswebsite </span>: Bool&eacute;en. Permet de traverser la limite des sites web. Cet attribut n''est employ&eacute; que si l''attribut <span class="keyword">subpages </span>est employ&eacute;. Si cet attribut n''existe pas, l''export se limitera aux pages du site en cours.</li>\r\n    <li><span class="keyword">maxlevel </span>: Nombre entier. Permet de sp&eacute;cifier le nombre de niveaux maximum de profondeur. Si cet attribut n''existe pas, l''export n''aura pas de limite de profondeur.</li>\r\n    <li><span class="keyword">language </span>: Cha&icirc;ne de caract&egrave;res. Code de la langue &agrave; employer pour les libell&eacute;s du pied de page. Si cet attribut n''existe pas, la langue de la page en cours sera utilis&eacute;e.</li>\r\n    <li><span class="keyword">toc </span>: Bool&eacute;en. Ajoute la table des mati&egrave;res aux PDF g&eacute;n&eacute;r&eacute;s. Si cet attribut n''existe pas, la table des mati&egrave;re sera automatiquement ajout&eacute;e aux PDF comportant plusieurs pages export&eacute;es.</li>\r\n    <li><span class="keyword">cache </span>: Nombre entier. Dur&eacute;e de la mise en cache du PDF g&eacute;n&eacute;r&eacute; en secondes. Si cet attribut n''existe pas, une mise en cache d''une heure (3600 secondes) sera employ&eacute;. Sp&eacute;cifiez 0 pour d&eacute;sactiver la mise en cache. Pour des raisons de performances, une mise en cache de 5 minutes (300 secondes) minimum sera utilis&eacute;e pour les exports de plusieurs pages.</li>\r\n    <li><span class="keyword">keeprequest </span>: Bool&eacute;en. Conserve les donn&eacute;es GET de la page en cours pour g&eacute;n&eacute;rer le PDF. Cela permet de g&eacute;n&eacute;rer un PDF comportant des donn&eacute;es dynamiques identiques &agrave; celles de la page contenant le tag atm-pdf-link.</li>\r\n</ul>\r\n<h1>Exemples :</h1>\r\n<h3>PDF de la page courante :</h3>\r\n<p><span class="code">&lt;atm-pdf-link&gt;&lt;a href=&quot;{{href}}&quot; target=&quot;_blank&quot;&gt;T&eacute;l&eacute;charger le PDF&lt;/a&gt;&lt;/atm-pdf-link&gt;</span></p>\r\n<h3>PDF de la page 3 et de ses sous pages moins la page 28 :</h3>\r\n<p><span class="code">&lt;atm-pdf-link page=&quot;3&quot; subpages=&quot;true&quot; excluded=&quot;28&quot; title=&quot;Titre du PDF&quot;&gt;&lt;a href=&quot;{{href}}&quot; target=&quot;_blank&quot;&gt;T&eacute;l&eacute;charger le PDF&lt;/a&gt;&lt;/atm-pdf-link&gt; </span></p>\r\n<h3>PDF des pages 3, 5 et 7 :</h3>\r\n<p><span class="code">&lt;atm-pdf-link pages=&quot;3,5,6&quot; title=&quot;Titre du PDF&quot;&gt;&lt;a href=&quot;{{href}}&quot; target=&quot;_blank&quot;&gt;T&eacute;l&eacute;charger le PDF&lt;/a&gt;&lt;/atm-pdf-link&gt;</span></p>\r\n<h1>Exclure certaines donn&eacute;es d''une page :</h1>\r\n<p><span class="code">&lt;atm-pdf-skip&gt; ... &lt;/atm-pdf-skip&gt;  </span></p>\r\n<p>Ce tag permet d''exclure des morceaux de contenu pr&eacute;sents dans une page de l''export PDF.</p>\r\n<p>Ins&eacute;rez ce tag dans les rang&eacute;es employ&eacute;es dans les pages et toutes les donn&eacute;es se trouvant dans ce tag ne seront pas export&eacute;es dans le PDF.</p>\r\n</div>');
INSERT INTO `messages` (`id_mes`, `module_mes`, `language_mes`, `message_mes`) VALUES(6, 'cms_pdf', 'fr', 'Veuillez patienter ...');
INSERT INTO `messages` (`id_mes`, `module_mes`, `language_mes`, `message_mes`) VALUES(7, 'cms_pdf', 'fr', 'Votre fichier PDF est en cours de création');
INSERT INTO `messages` (`id_mes`, `module_mes`, `language_mes`, `message_mes`) VALUES(8, 'cms_pdf', 'fr', 'Veuillez patienter ... Cette opération peut durer quelques minutes.');
INSERT INTO `messages` (`id_mes`, `module_mes`, `language_mes`, `message_mes`) VALUES(9, 'cms_pdf', 'fr', 'Votre PDF est prêt. Vous allez être redirigé automatiquement.');
INSERT INTO `messages` (`id_mes`, `module_mes`, `language_mes`, `message_mes`) VALUES(10, 'cms_pdf', 'fr', 'Cliquez ici, si votre navigateur ne vous redirige pas automatiquement.');